---
title: border-image-source
slug: Web/CSS/border-image-source
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-image-source</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the source image used to create an element's <a href="/en-US/docs/Web/CSS/border-image">border image</a>.</p>

<div>{{EmbedInteractiveExample("pages/css/border-image-source.html")}}</div>

<p>The {{cssxref("border-image-slice")}} property is used to divide the source image into regions, which are then dynamically applied to the final border image.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
border-image-source: none;

/* &lt;image&gt; values */
border-image-source: url(image.jpg);
border-image-source: linear-gradient(to top, red, yellow);

/* Global values */
border-image-source: inherit;
border-image-source: initial;
border-image-source: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>none</code></dt>
	<dd>No border image is used. The appearance defined by {{cssxref("border-style")}} is displayed instead.</dd>
	<dt>{{cssxref("&lt;image&gt;")}}</dt>
	<dd>Image reference to use for the border.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<pre class="brush: css notranslate">.box {
  border-image-source: url('image.png');
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Backgrounds', '#the-border-image-source', 'border-image-source')}}</td>
			<td>{{Spec2('CSS3 Backgrounds')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-image-source")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("border")}}</li>
	<li>{{cssxref("outline")}}</li>
	<li>{{cssxref("box-shadow")}}</li>
	<li>{{cssxref("background-image")}}</li>
	<li>{{cssxref("url()", "url()")}} function</li>
</ul>
